#!/usr/bin/ruby

def createVersion name, options

	`rm -rf \"../#{name}/\"`

	`./customize.rb reset`
	`./customize.rb #{options}`
	`mkdir "../#{name}"`
	`cp -rf ./ "../#{name}"`
	`sed "s/Duality/#{name}/g" "../#{name}/index.theme" > "../#{name}/index2.theme"`
	`mv "../#{name}/index2.theme" "../#{name}/index.theme"`
	`rm "../#{name}/Production.rb" "../#{name}/customize.rb" "../#{name}/common.rb" "../#{name}/last-config"`
	`rm "../#{name}/gtk-2.0/transform.rb" "../#{name}/gtk-2.0/common.rb" "../#{name}/gtk-2.0/gtkrc-symbol"`
	`rm "../#{name}/metacity-1/common.rb" "../#{name}/metacity-1/metacity-theme-1-symbol.xml" "../#{name}/metacity-1/transform.rb"`

end

createVersion "Singularity Smooth", "contrast=0.92 button_border=0.3 button_contrast=1.15 notebook_bg=1.0 metacity_contrast=1.0 notebook=1.02 curvature=3.0"
createVersion "Singularity", ""
createVersion "Singularity Bold", "tool=1.0 menu=0.82 button_contrast=1.2 metacity_contrast=0.8 scroll=0.85 notebook=1.3 notebook_bg=0.9 button_border=1.4 curvature=0.8"

`./customize.rb reset`
